// @file sparkler.frag

#if defined(OPENGL_ES) || defined(GL_ES)
#ifdef GL_FRAGMENT_PRECISION_HIGH
precision highp float;
#else
precision mediump float;
#endif
#endif

#ifdef TEXPARTICLE
uniform sampler2D u_diffuseTexture;
#else
uniform vec4 u_diffuseColor;
#endif

varying vec2 v_texCoord;

void main() {
#ifdef TEXPARTICLE
	gl_FragColor = texture2D(u_diffuseTexture, v_texCoord);
#else
	float rr = length(v_texCoord - 0.5) * 2.0;
	float lv = min(1.0, (1.0 - rr) * 1.0);
	gl_FragColor.rgb = u_diffuseColor.rgb * lv;
	gl_FragColor.a = 1.0;
#endif
}

